#15 Rpmbuild issues (was: Support for CentOS 4.4)

main
closed-fixed
unSpawn
5
2006-11-21
2006-10-31
No

When running on CentOS 4.4 i get the following:

=== begin ===
[root@stygia tmp]# rkhunter -c

Rootkit Hunter 1.2.9 is running

Determining OS... Unknown
Warning: This operating system is not fully supported!
All MD5 checks will be skipped!

Checking binaries
* Selftests
Strings (command)
[ OK ]

* System tools
Skipped!

Check rootkits
* Default files and directories
=== end ===

Additionally, I am running on an AMD 64 system:

[root@stygia tmp]# uname -a
Linux stygia.stygianresearch.com 2.6.9-42.0.3.ELsmp #1
SMP Fri Oct 6 06:28:26 CDT 2006 x86_64 x86_64 x86_64
GNU/Linux

I have build a RPM of the rkhunter-1.2.9 via "rpmbuild
-ta rkhunter.1.2.9.tar.gz. The RPM puts files here:
[root@stygia security]# rpm -q -l rkhunter
/etc/cron.daily/01-rkhunter
/etc/rkhunter.conf
/usr/bin/rkhunter
/usr/lib64/rkhunter
/usr/lib64/rkhunter/scripts
/usr/lib64/rkhunter/scripts/check_modules.pl
/usr/lib64/rkhunter/scripts/check_port.pl
/usr/lib64/rkhunter/scripts/check_update.sh
/usr/lib64/rkhunter/scripts/filehashmd5.pl
/usr/lib64/rkhunter/scripts/filehashsha1.pl
/usr/lib64/rkhunter/scripts/showfiles.pl
/usr/share/doc/rkhunter-1.2.9
/usr/share/doc/rkhunter-1.2.9/CHANGELOG
/usr/share/doc/rkhunter-1.2.9/LICENSE
/usr/share/doc/rkhunter-1.2.9/README
/usr/share/doc/rkhunter-1.2.9/WISHLIST
/usr/share/man/man8/rkhunter.8.gz
/var/rkhunter/db
/var/rkhunter/db/backdoorports.dat
/var/rkhunter/db/defaulthashes.dat
/var/rkhunter/db/md5blacklist.dat
/var/rkhunter/db/mirrors.dat
/var/rkhunter/db/os.dat
/var/rkhunter/db/programs_bad.dat
/var/rkhunter/db/programs_good.dat
/var/rkhunter/tmp
[root@stygia security]#

You'll notice that the scripts are located in
/usr/lib64/rkhunter/scripts. However, rkhunter is
looking for them in /usr/lib/rkhunter/scripts. A
simple "ln -fs /usr/lib64/rkhunter /usr/lib/rkhunter"
fixes the problem.

Thanks.

Discussion

  • unSpawn

    unSpawn - 2006-11-02
    • assigned_to: nobody --> unspawn
    • status: open --> pending
     
  • unSpawn

    unSpawn - 2006-11-02

    Logged In: YES
    user_id=600864

    Hello Bradley,

    1. Support for CentOS 4.4 should not be an issue: it is in
    the current os.dat.
    Please make sure to update using only the Sourceforge mirror.

    2. .spec file /usr/lib vs /usr/lib64: I'll add that to the
    TODO list. Thanks.

    Cheers, unSpawn

     
  • Anonymous - 2006-11-03

    Logged In: YES
    user_id=140796

    Thanks. Just before I got your response, I had downloaded
    hashupd.sh and ran it. That fixed the issue.

    Thanks.

     
  • Anonymous - 2006-11-03
    • status: pending --> open
     
  • unSpawn

    unSpawn - 2006-11-14
    • milestone: --> main
    • status: open --> pending-fixed
     
  • unSpawn

    unSpawn - 2006-11-14

    Logged In: YES
    user_id=600864

    > 2. .spec file /usr/lib vs /usr/lib64
    Installer and .spec file (%{_lib}) updated in CVS.
    Please test.

    TIA, unSpawn

     
  • Anonymous - 2006-11-16
    • status: pending-fixed --> open-fixed
     
  • Anonymous - 2006-11-16

    Logged In: YES
    user_id=140796
    Originator: YES

    I've downloaded the entire source via cvs. I run rpmbuild -ta rkhunter-1.2.9.tar.gz and the RPM build fails. I looks like its defaulting to /usr/local instead of /usr. Here is the entire output:
    [root@stygia security]# rpmbuild -ta rkhunter-1.2.9.tar.gz
    Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.50818
    + umask 022
    + cd /usr/src/redhat/BUILD
    + LANG=C
    + export LANG
    + unset DISPLAY
    + cd /usr/src/redhat/BUILD
    + rm -rf rkhunter-1.2.9
    + /bin/gzip -dc /usr/local/src/security/rkhunter-1.2.9.tar.gz
    + tar -xf -
    + STATUS=0
    + '[' 0 -ne 0 ']'
    + cd rkhunter-1.2.9
    ++ /usr/bin/id -u
    + '[' 0 = 0 ']'
    + /bin/chown -Rhf root .
    ++ /usr/bin/id -u
    + '[' 0 = 0 ']'
    + /bin/chgrp -Rhf root .
    + /bin/chmod -Rf a+rX,u+w,g-w,o-w .
    + exit 0
    Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.50818
    + umask 022
    + cd /usr/src/redhat/BUILD
    + cd rkhunter-1.2.9
    + LANG=C
    + export LANG
    + unset DISPLAY
    + exit 0
    Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.50818
    + umask 022
    + cd /usr/src/redhat/BUILD
    + cd rkhunter-1.2.9
    + LANG=C
    + export LANG
    + unset DISPLAY
    + sh ./installer.sh --install --layout RPM
    Checking system for:
    Rootkit Hunter installer files: found. OK
    available file retrieval tools:
    wget: found. OK
    expected default tool locations:
    perl: found. OK
    Starting installation/update

    Checking installation directories:
    Directory /var/tmp/rkhunter-1.2.9/usr/local/share/doc/rkhunter-1.2.9: exists, and is writable. OK
    Directory /var/tmp/rkhunter-1.2.9/usr/local/share/man/man8: exists, and is writable. OK
    Directory /var/tmp/rkhunter-1.2.9/etc: exists, and is writable. OK
    Directory /var/tmp/rkhunter-1.2.9/usr/local/bin: exists, and is writable. OK
    Directory /var/tmp/rkhunter-1.2.9/usr/local/lib/rkhunter/scripts: exists, and is writable. OK
    Directory /var/tmp/rkhunter-1.2.9/var/rkhunter/db: exists, and is writable. OK
    Directory /var/tmp/rkhunter-1.2.9/var/rkhunter/tmp: exists, and is writable. OK
    Installing check_modules.pl: OK.
    Installing check_update.sh: OK.
    Installing check_port.pl: OK.
    Installing filehashmd5.pl: OK.
    Installing filehashsha1.pl: OK.
    Installing showfiles.pl: OK.
    Installing backdoorports.dat: OK.
    Installing mirrors.dat: OK.
    Installing os.dat: OK.
    Installing programs_bad.dat: OK.
    Installing programs_good.dat: OK.
    Installing defaulthashes.dat: OK.
    Installing md5blacklist.dat: OK.
    Installing development/rkhunter.8: OK.
    Installing ACKNOWLEDGMENTS: OK.
    Installing CHANGELOG: OK.
    Installing FAQ: OK.
    Installing LICENSE: OK.
    Installing README: OK.
    Installing WISHLIST: OK.
    Installing rkhunter: OK.
    Installing rkhunter.conf in no-clobber mode: OK.
    >>>
    >>> PLEASE NOTE: inspect for update changes in /var/tmp/rkhunter-1.2.9/etc/rkhunter.conf.1163700295
    >>> and apply to /var/tmp/rkhunter-1.2.9/etc/rkhunter.conf before running Rootkit Hunter.
    >>>
    + /bin/mkdir -p /var/tmp/rkhunter-1.2.9//etc/cron.daily
    + /bin/cat
    + /bin/chmod a+rwx,g-w,o-rwx /var/tmp/rkhunter-1.2.9/etc/cron.daily/01-rkhunter
    + /usr/lib/rpm/find-debuginfo.sh /usr/src/redhat/BUILD/rkhunter-1.2.9
    0 blocks
    find: /var/tmp/rkhunter-1.2.9/usr/lib/debug: No such file or directory
    + /usr/lib/rpm/redhat/brp-compress
    + /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
    + /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
    Processing files: rkhunter-1.2.9-1
    error: File not found: /var/tmp/rkhunter-1.2.9/usr/local/lib64/rkhunter/scripts
    error: File not found by glob: /var/tmp/rkhunter-1.2.9/usr/local/lib64/rkhunter/scripts/*.pl
    error: File not found by glob: /var/tmp/rkhunter-1.2.9/usr/local/lib64/rkhunter/scripts/*.sh
    error: File not found: /var/tmp/rkhunter-1.2.9/usr/share/man/man8/rkhunter.8
    Processing files: rkhunter-debuginfo-1.2.9-1

    RPM build errors:
    File not found: /var/tmp/rkhunter-1.2.9/usr/local/lib64/rkhunter/scripts
    File not found by glob: /var/tmp/rkhunter-1.2.9/usr/local/lib64/rkhunter/scripts/*.pl
    File not found by glob: /var/tmp/rkhunter-1.2.9/usr/local/lib64/rkhunter/scripts/*.sh
    File not found: /var/tmp/rkhunter-1.2.9/usr/share/man/man8/rkhunter.8

     
  • unSpawn

    unSpawn - 2006-11-19
    • status: open-fixed --> pending-fixed
     
  • unSpawn

    unSpawn - 2006-11-19

    Logged In: YES
    user_id=600864
    Originator: NO

    Thanks for reporting again: installer and .spec file updated in CVS.
    Should work now: please test.

    TIA, unSpawn

     
  • Anonymous - 2006-11-19
    • status: pending-fixed --> open-fixed
     
  • Anonymous - 2006-11-19

    Logged In: YES
    user_id=140796
    Originator: YES

    Its still erroring out on the man page.

    [root@stygia security]# rpmbuild -ta rkhunter-1.2.9.tar.gz
    Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.89984
    + umask 022
    + cd /usr/src/redhat/BUILD
    + LANG=C
    + export LANG
    + unset DISPLAY
    + cd /usr/src/redhat/BUILD
    + rm -rf rkhunter-1.2.9
    + /bin/gzip -dc /usr/local/src/security/rkhunter-1.2.9.tar.gz
    + tar -xf -
    + STATUS=0
    + '[' 0 -ne 0 ']'
    + cd rkhunter-1.2.9
    ++ /usr/bin/id -u
    + '[' 0 = 0 ']'
    + /bin/chown -Rhf root .
    ++ /usr/bin/id -u
    + '[' 0 = 0 ']'
    + /bin/chgrp -Rhf root .
    + /bin/chmod -Rf a+rX,u+w,g-w,o-w .
    + exit 0
    Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.15280
    + umask 022
    + cd /usr/src/redhat/BUILD
    + cd rkhunter-1.2.9
    + LANG=C
    + export LANG
    + unset DISPLAY
    + exit 0
    Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.15280
    + umask 022
    + cd /usr/src/redhat/BUILD
    + cd rkhunter-1.2.9
    + LANG=C
    + export LANG
    + unset DISPLAY
    + sh ./installer.sh --install --layout RPM
    Checking system for:
    Rootkit Hunter installer files: found. OK
    available file retrieval tools:
    wget: found. OK
    Starting installation/update

    Checking installation directories:
    Directory /var/tmp/rkhunter-1.2.9/usr/local/share/doc/rkhunter-1.2.9: exists, and is writable. OK
    Directory /var/tmp/rkhunter-1.2.9/usr/local/share/man/man8: exists, and is writable. OK
    Directory /var/tmp/rkhunter-1.2.9/etc: exists, and is writable. OK
    Directory /var/tmp/rkhunter-1.2.9/usr/local/bin: exists, and is writable. OK
    Directory /var/tmp/rkhunter-1.2.9/usr/local/lib64/rkhunter/scripts: exists, and is writable. OK
    Directory /var/tmp/rkhunter-1.2.9/var/rkhunter/db: exists, and is writable. OK
    Directory /var/tmp/rkhunter-1.2.9/var/rkhunter/tmp: exists, and is writable. OK
    Installing check_modules.pl: OK.
    Installing check_update.sh: OK.
    Installing check_port.pl: OK.
    Installing filehashmd5.pl: OK.
    Installing filehashsha1.pl: OK.
    Installing showfiles.pl: OK.
    Installing backdoorports.dat: OK.
    Installing mirrors.dat: OK.
    Installing os.dat: OK.
    Installing programs_bad.dat: OK.
    Installing programs_good.dat: OK.
    Installing defaulthashes.dat: OK.
    Installing md5blacklist.dat: OK.
    Installing development/rkhunter.8: OK.
    Installing ACKNOWLEDGMENTS: OK.
    Installing CHANGELOG: OK.
    Installing FAQ: OK.
    Installing LICENSE: OK.
    Installing README: OK.
    Installing WISHLIST: OK.
    Installing rkhunter: OK.
    Installing rkhunter.conf in no-clobber mode: OK.
    >>>
    >>> PLEASE NOTE: inspect for update changes in /var/tmp/rkhunter-1.2.9/etc/rkhunter.conf.1163971737
    >>> and apply to /var/tmp/rkhunter-1.2.9/etc/rkhunter.conf before running Rootkit Hunter.
    >>>
    + /bin/mkdir -p /var/tmp/rkhunter-1.2.9//etc/cron.daily
    + /bin/cat
    + /bin/chmod a+rwx,g-w,o-rwx /var/tmp/rkhunter-1.2.9/etc/cron.daily/01-rkhunter
    + /usr/lib/rpm/find-debuginfo.sh /usr/src/redhat/BUILD/rkhunter-1.2.9
    0 blocks
    find: /var/tmp/rkhunter-1.2.9/usr/lib/debug: No such file or directory
    + /usr/lib/rpm/redhat/brp-compress
    + /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
    + /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
    Processing files: rkhunter-1.2.9-1
    error: File not found: /var/tmp/rkhunter-1.2.9/usr/share/man/man8/rkhunter.8
    Processing files: rkhunter-debuginfo-1.2.9-1

    RPM build errors:
    File not found: /var/tmp/rkhunter-1.2.9/usr/share/man/man8/rkhunter.8

     
  • unSpawn

    unSpawn - 2006-11-19
    • summary: Support for CentOS 4.4 --> Rpmbuild issues (was: Support for CentOS 4.4)
     
  • unSpawn

    unSpawn - 2006-11-19

    Logged In: YES
    user_id=600864
    Originator: NO

    >>> PLEASE NOTE: inspect for update changes in /var/tmp/rkhunter-1.2.9/etc/rkhunter.conf.1163971737
    1. Local issue: do clean up your tempdir between rebuilds.

    2. find: /var/tmp/rkhunter-1.2.9/usr/lib/debug: No such file or directory
    Add this to the top of rkhunter.spec with the rest of the defines and see if it works: %define debug_package %{nil}

    error: File not found:
    /var/tmp/rkhunter-1.2.9/usr/share/man/man8/rkhunter.8
    3. "sh ./installer.sh --install --layout RPM" *will* install /usr/local/share/man/man8/rkhunter.8 *definately not* /usr/share/man/man8/rkhunter.8??? At the bottom of rkhunter.spec change from "%attr(644,root,root) %{_mandir}/man8/%{name}.8" to "%attr(644,root,root) %{_prefix}/man/man8/%{name}.8".

    unSpawn

     
  • Anonymous - 2006-11-20

    Logged In: YES
    user_id=140796
    Originator: YES

    1) Done

    2) fixed. the debug error is gone.

    3) still getting a man page error.

    Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.8614
    + umask 022
    + cd /usr/src/redhat/BUILD
    + LANG=C
    + export LANG
    + unset DISPLAY
    + cd /usr/src/redhat/BUILD
    + rm -rf rkhunter-1.2.9
    + /bin/gzip -dc /usr/local/src/security/rkhunter-1.2.9.tar.gz
    + tar -xf -
    + STATUS=0
    + '[' 0 -ne 0 ']'
    + cd rkhunter-1.2.9
    ++ /usr/bin/id -u
    + '[' 0 = 0 ']'
    + /bin/chown -Rhf root .
    ++ /usr/bin/id -u
    + '[' 0 = 0 ']'
    + /bin/chgrp -Rhf root .
    + /bin/chmod -Rf a+rX,u+w,g-w,o-w .
    + exit 0
    Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.8614
    + umask 022
    + cd /usr/src/redhat/BUILD
    + cd rkhunter-1.2.9
    + LANG=C
    + export LANG
    + unset DISPLAY
    + exit 0
    Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.8614
    + umask 022
    + cd /usr/src/redhat/BUILD
    + cd rkhunter-1.2.9
    + LANG=C
    + export LANG
    + unset DISPLAY
    + sh ./installer.sh --install --layout RPM
    Checking system for:
    Rootkit Hunter installer files: found. OK
    available file retrieval tools:
    wget: found. OK
    Starting installation/update

    Checking installation directories:
    Directory /var/tmp/rkhunter-1.2.9/usr/local/share/doc/rkhunter-1.2.9: creating: OK.
    Directory /var/tmp/rkhunter-1.2.9/usr/local/share/man/man8: creating: OK.
    Directory /var/tmp/rkhunter-1.2.9/etc: creating: OK.
    Directory /var/tmp/rkhunter-1.2.9/usr/local/bin: creating: OK.
    Directory /var/tmp/rkhunter-1.2.9/usr/local/lib64/rkhunter/scripts: creating: OK.
    Directory /var/tmp/rkhunter-1.2.9/var/rkhunter/db: creating: OK.
    Directory /var/tmp/rkhunter-1.2.9/var/rkhunter/tmp: creating: OK.
    Installing check_modules.pl: OK.
    Installing check_update.sh: OK.
    Installing check_port.pl: OK.
    Installing filehashmd5.pl: OK.
    Installing filehashsha1.pl: OK.
    Installing showfiles.pl: OK.
    Installing backdoorports.dat: OK.
    Installing mirrors.dat: OK.
    Installing os.dat: OK.
    Installing programs_bad.dat: OK.
    Installing programs_good.dat: OK.
    Installing defaulthashes.dat: OK.
    Installing md5blacklist.dat: OK.
    Installing development/rkhunter.8: OK.
    Installing ACKNOWLEDGMENTS: OK.
    Installing CHANGELOG: OK.
    Installing FAQ: OK.
    Installing LICENSE: OK.
    Installing README: OK.
    Installing WISHLIST: OK.
    Installing rkhunter: OK.
    Installing rkhunter.conf: OK.
    + /bin/mkdir -p /var/tmp/rkhunter-1.2.9//etc/cron.daily
    + /bin/cat
    + /bin/chmod a+rwx,g-w,o-rwx /var/tmp/rkhunter-1.2.9/etc/cron.daily/01-rkhunter
    + /usr/lib/rpm/redhat/brp-compress
    + /usr/lib/rpm/redhat/brp-strip /usr/bin/strip
    + /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
    + /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
    Processing files: rkhunter-1.2.9-1
    error: File not found: /var/tmp/rkhunter-1.2.9/usr/local/man/man8/rkhunter.8

    RPM build errors:
    File not found: /var/tmp/rkhunter-1.2.9/usr/local/man/man8/rkhunter.8

     
  • unSpawn

    unSpawn - 2006-11-21
    • status: open-fixed --> closed-fixed
     
  • unSpawn

    unSpawn - 2006-11-21

    Logged In: YES
    user_id=600864
    Originator: NO

    > 3) still getting a man page error.
    > error: File not found:
    > /var/tmp/rkhunter-1.2.9/usr/local/man/man8/rkhunter.8

    Changing the line to "%attr(644,root,root) %{_prefix}/share/man/man8/%{name}.8" fixes it.
    Just forgot the "share/" part.

    Thanks for your support and patience, case closed.

    Regards, unSpawn

     
  • Anonymous - 2006-11-21

    Logged In: YES
    user_id=140796
    Originator: YES

    That fixed the problem. However the .spec file is not correctly removing directory from /var/tmp:

    [root@stygia security]# rpmbuild -ta rkhunter-1.2.9.tar.gz
    Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.31740
    + umask 022
    + cd /usr/src/redhat/BUILD
    + LANG=C
    + export LANG
    + unset DISPLAY
    + cd /usr/src/redhat/BUILD
    + rm -rf rkhunter-1.2.9
    + /bin/gzip -dc /usr/local/src/security/rkhunter-1.2.9.tar.gz
    + tar -xf -
    + STATUS=0
    + '[' 0 -ne 0 ']'
    + cd rkhunter-1.2.9
    ++ /usr/bin/id -u
    + '[' 0 = 0 ']'
    + /bin/chown -Rhf root .
    ++ /usr/bin/id -u
    + '[' 0 = 0 ']'
    + /bin/chgrp -Rhf root .
    + /bin/chmod -Rf a+rX,u+w,g-w,o-w .
    + exit 0
    Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.31740
    + umask 022
    + cd /usr/src/redhat/BUILD
    + cd rkhunter-1.2.9
    + LANG=C
    + export LANG
    + unset DISPLAY
    + exit 0
    Executing(%install): /bin/sh -e /var/tmp/rpm-tmp.31740
    + umask 022
    + cd /usr/src/redhat/BUILD
    + cd rkhunter-1.2.9
    + LANG=C
    + export LANG
    + unset DISPLAY
    + sh ./installer.sh --install --layout RPM
    Checking system for:
    Rootkit Hunter installer files: found. OK
    available file retrieval tools:
    wget: found. OK
    Starting installation/update

    Checking installation directories:
    Directory /var/tmp/rkhunter-1.2.9/usr/local/share/doc/rkhunter-1.2.9: creating: OK.
    Directory /var/tmp/rkhunter-1.2.9/usr/local/share/man/man8: creating: OK.
    Directory /var/tmp/rkhunter-1.2.9/etc: creating: OK.
    Directory /var/tmp/rkhunter-1.2.9/usr/local/bin: creating: OK.
    Directory /var/tmp/rkhunter-1.2.9/usr/local/lib64/rkhunter/scripts: creating: OK.
    Directory /var/tmp/rkhunter-1.2.9/var/rkhunter/db: creating: OK.
    Directory /var/tmp/rkhunter-1.2.9/var/rkhunter/tmp: creating: OK.
    Installing check_modules.pl: OK.
    Installing check_update.sh: OK.
    Installing check_port.pl: OK.
    Installing filehashmd5.pl: OK.
    Installing filehashsha1.pl: OK.
    Installing showfiles.pl: OK.
    Installing backdoorports.dat: OK.
    Installing mirrors.dat: OK.
    Installing os.dat: OK.
    Installing programs_bad.dat: OK.
    Installing programs_good.dat: OK.
    Installing defaulthashes.dat: OK.
    Installing md5blacklist.dat: OK.
    Installing development/rkhunter.8: OK.
    Installing ACKNOWLEDGMENTS: OK.
    Installing CHANGELOG: OK.
    Installing FAQ: OK.
    Installing LICENSE: OK.
    Installing README: OK.
    Installing WISHLIST: OK.
    Installing rkhunter: OK.
    Installing rkhunter.conf: OK.
    + /bin/mkdir -p /var/tmp/rkhunter-1.2.9//etc/cron.daily
    + /bin/cat
    + /bin/chmod a+rwx,g-w,o-rwx /var/tmp/rkhunter-1.2.9/etc/cron.daily/01-rkhunter
    + /usr/lib/rpm/redhat/brp-compress
    + /usr/lib/rpm/redhat/brp-strip /usr/bin/strip
    + /usr/lib/rpm/redhat/brp-strip-static-archive /usr/bin/strip
    + /usr/lib/rpm/redhat/brp-strip-comment-note /usr/bin/strip /usr/bin/objdump
    Processing files: rkhunter-1.2.9-1
    Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/rkhunter-1.2.9
    Wrote: /usr/src/redhat/SRPMS/rkhunter-1.2.9-1.src.rpm
    Wrote: /usr/src/redhat/RPMS/x86_64/rkhunter-1.2.9-1.x86_64.rpm
    Executing(%clean): /bin/sh -e /var/tmp/rpm-tmp.31740
    + umask 022
    + cd /usr/src/redhat/BUILD
    + cd rkhunter-1.2.9
    + case "$RPM_BUILD_ROOT" in
    + echo Invalid Build root ''\''/var/tmp/rkhunter-1.2.9'\'''
    Invalid Build root '/var/tmp/rkhunter-1.2.9'
    + exit 0
    [root@stygia security]# ls -l /var/tmp
    total 8
    drwxr-xr-x 5 root root 4096 Nov 21 16:05 rkhunter-1.2.9

    I also would like to know why the change of location for the rkhunter from 1.2.9 to the version in CVS.
    Version 1.2.9 shows:

    [root@stygia security]# rpm -ql rkhunter-1.2.9
    /etc/cron.daily/01-rkhunter
    /etc/rkhunter.conf
    /usr/bin/rkhunter
    /usr/lib64/rkhunter
    /usr/lib64/rkhunter/scripts
    /usr/lib64/rkhunter/scripts/check_modules.pl
    /usr/lib64/rkhunter/scripts/check_port.pl
    /usr/lib64/rkhunter/scripts/check_update.sh
    /usr/lib64/rkhunter/scripts/filehashmd5.pl
    /usr/lib64/rkhunter/scripts/filehashsha1.pl
    /usr/lib64/rkhunter/scripts/showfiles.pl
    /usr/share/doc/rkhunter-1.2.9
    /usr/share/doc/rkhunter-1.2.9/CHANGELOG
    /usr/share/doc/rkhunter-1.2.9/LICENSE
    /usr/share/doc/rkhunter-1.2.9/README
    /usr/share/doc/rkhunter-1.2.9/WISHLIST
    /usr/share/man/man8/rkhunter.8.gz
    /var/rkhunter/db
    /var/rkhunter/db/backdoorports.dat
    /var/rkhunter/db/defaulthashes.dat
    /var/rkhunter/db/md5blacklist.dat
    /var/rkhunter/db/mirrors.dat
    /var/rkhunter/db/os.dat
    /var/rkhunter/db/programs_bad.dat
    /var/rkhunter/db/programs_good.dat
    /var/rkhunter/tmp

    The version from CVS shows:

    [root@stygia security]# rpm -qpil /usr/src/redhat/RPMS/x86_64/rkhunter-1.2.9-1.x86_64.rpm
    Name : rkhunter Relocations: (not relocatable)
    Version : 1.2.9 Vendor: (none)
    Release : 1 Build Date: Tue 21 Nov 2006 04:05:30 PM EST
    Install Date: (not installed) Build Host: stygia.stygianresearch.com
    Group : Applications/System Source RPM: rkhunter-1.2.9-1.src.rpm
    Size : 484908 License: GPL
    Signature : (none)
    URL : http://rkhunter.sourceforge.net/
    Summary : rkhunter scans for rootkits, backdoors and local exploits
    Description :
    Rootkit scanner is scanning tool to ensure you for about 99.9% you're
    clean of nasty tools. This tool scans for rootkits, backdoors and local
    exploits by running tests like:
    - MD5 hash compare
    - Look for default files used by rootkits
    - Wrong file permissions for binaries
    - Look for suspected strings in LKM and KLD modules
    - Look for hidden files
    - Optional scan within plaintext and binary files
    - Software version checks
    - Application tests

    Rootkit Hunter is released as a GPL licensed project and free for everyone to use.
    /etc/cron.daily/01-rkhunter
    /etc/rkhunter.conf
    /usr/local/bin/rkhunter
    /usr/local/lib64/rkhunter/scripts
    /usr/local/lib64/rkhunter/scripts/check_modules.pl
    /usr/local/lib64/rkhunter/scripts/check_port.pl
    /usr/local/lib64/rkhunter/scripts/check_update.sh
    /usr/local/lib64/rkhunter/scripts/filehashmd5.pl
    /usr/local/lib64/rkhunter/scripts/filehashsha1.pl
    /usr/local/lib64/rkhunter/scripts/showfiles.pl
    /usr/local/share/doc/rkhunter-1.2.9
    /usr/local/share/doc/rkhunter-1.2.9/ACKNOWLEDGMENTS
    /usr/local/share/doc/rkhunter-1.2.9/CHANGELOG
    /usr/local/share/doc/rkhunter-1.2.9/FAQ
    /usr/local/share/doc/rkhunter-1.2.9/LICENSE
    /usr/local/share/doc/rkhunter-1.2.9/README
    /usr/local/share/doc/rkhunter-1.2.9/WISHLIST
    /usr/local/share/man/man8/rkhunter.8
    /var/rkhunter
    /var/rkhunter/db
    /var/rkhunter/db/backdoorports.dat
    /var/rkhunter/db/defaulthashes.dat
    /var/rkhunter/db/md5blacklist.dat
    /var/rkhunter/db/mirrors.dat
    /var/rkhunter/db/os.dat
    /var/rkhunter/db/programs_bad.dat
    /var/rkhunter/db/programs_good.dat
    /var/rkhunter/tmp

    As you can see the structure has changed from /usr to /usr/local.

    Thanks.

     
  • Anonymous - 2006-11-21
    • status: closed-fixed --> open-fixed
     
  • unSpawn

    unSpawn - 2006-11-21
    • status: open-fixed --> closed-fixed
     
  • unSpawn

    unSpawn - 2006-11-21

    Logged In: YES
    user_id=600864
    Originator: NO

    > However the .spec file is not correctly removing directory from /var/tmp
    1. Change the "clean" section to read:
    %clean
    if [ "$RPM_BUILD_ROOT" = "/" ]; then
    echo Invalid Build root \'"$RPM_BUILD_ROOT"\'
    exit 1
    else
    rm -rf $RPM_BUILD_ROOT
    fi

    > I also would like to know why the change of location for the rkhunter from
    1.2.9 to the version in CVS.
    We've revamped the installer.sh to be FHS compliant: /usr/local is the default tree.

    If there are no more obstructions to building an RPM, then I respectfully request you ask any more *questions* on the mailing list since the core issues have been fixed in CVS.

    Regards, unSpawn

     

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks